/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *     Robert Morris <robertj@morris.net>
 *     Bram Stieperaere <bramez@users.sourceforge.net>
 * 	   Marcelo W. Lopez Cremona <marcelo_java@argentina.com>
 *     Hamdi Mohs Yusof <hamdi@medical-online.net>     
 *     Farid Ibrahim <faridibrahim@lycos.com>
 * 
 */

package org.swingml;

public interface Constants {
    //-- Element Tags.
    public static final String PANEL = "panel";
    public static final String MENUBAR = "menubar";
    public static final String MENU = "menu";
    public static final String MENUITEM = "menuitem";
    public static final String SEPARATOR = "separator";
    public static final String LABEL = "label";
    public static final String TEXTFIELD = "textfield";
    public static final String BUTTON = "button";
    public static final String TOOLBAR = "toolbar";
    public static final String TABBEDPANE = "tabbedpane";
    public static final String TOOLTIP = "tooltip";
    public static final String TREE = "tree";
    public static final String NODE = "node";
    public static final String TABLE = "table";
    public static final String TC = "tc";
    public static final String TR = "tr";
    public static final String TD = "td";
    public static final String LISTENER = "listener";
    public static final String ACTION = "action";
    public static final String COMBOBOX = "combobox";
    public static final String CHECKBOX = "checkbox";
    public static final String RADIOBUTTON = "radiobutton";
    public static final String BUTTONGROUP = "buttongroup";
    public static final String TEXTAREA = "textarea";
    public static final String EDITORPANE = "editorpane";
    public static final String INTERNALFRAME = "internalframe";
    public static final String OPTIONPANE = "optionpane";
    public static final String DIALOG = "dialog";
    public static final String FRAME = "frame";
    public static final String LIST = "list";
    public static final String ITEM = "item";
    public static final String SPLITPANE = "splitpane";
    public static final String GRIDBAG_PANEL = "gridbag-panel";
    public static final String GRIDBAG_ROW = "gridbag-row";
    public static final String GRIDBAG_CELL = "gridbag-cell";
    public static final String DEBUG = "debug";
    public static final String EXTERNAL_ACTION = "external-action";
    public static final String ACTION_PARAM = "action-param";
    public static final String PASSWORDTEXT = "passwordtext";
    public static final String DATASTORE = "data-store";
    public static final String SLIDER = "slider";

    //-- Element Properties.
    public static final String NAME = "name";
    public static final String LAF = "laf";
    public static final String ALIGN = "align";
    public static final String EXT_LAF = "ext-laf";
    public static final String BORDER = "border";
    public static final String BEVELTYPE = "beveltype";
    public static final String LAYOUT = "layout";
    public static final String ORIENTATION = "orientation";
    public static final String TEXT = "text";
    public static final String TITLE = "title";
    public static final String VALUES = "values";
    public static final String TYPES = "types";
    public static final String EVENT = "event";
    public static final String COMPONENT = "component";
    public static final String METHOD = "method";
    public static final String SELECTED = "selected";
    public static final String CHECKED = "checked";
    public static final String WIDTH = "width";
    public static final String HEIGHT = "height";
    public static final String ROWS = "rows";
    public static final String COLS = "cols";
    public static final String MODE = "mode";
    public static final String SIZE = "size";
    public static final String TYPE = "type";
    public static final String ICON = "icon";
    public static final String LOCATION = "location";
    public static final String PADDING = "padding";
    public static final String IPADX = "ipadx";
    public static final String IPADY = "ipady";
    public static final String FILL = "fill";
    public static final String ANCHOR = "anchor";
    public static final String WEIGHTX = "weightx";
    public static final String WEIGHTY = "weighty";
    public static final String GRIDWIDTH = "gridwidth";
    public static final String GRIDHEIGHT = "gridheight";
    public static final String MNEMONIC = "mnemonic";
    public static final String CURRENT = "current";
    public static final String EXTERNAL_CLASS = "external-class";
    public static final String VALUE = "value";
    public static final String PAGE = "page";
    public static final String DNDENABLED = "dndenabled";
    public static final String POST_STYLE = "post-style";
    public static final String POST_COLUMN = "post-column";
    public static final String MODAL = "modal";
    public static final String EDITABLE = "editable";
    public static final String ENABLED = "enabled";
    public static final String ITEMS = "items";
    public static final String LINE_WRAP = "line-wrap";
    public static final String MINIMUM = "minimum";
    public static final String MAXIMUM = "maximum";
    public static final String FOREGROUND = "foreground";
    public static final String BACKGROUND = "background";

    //-- Events (Any addition should be made into the dtd as well).
    public static final String ACTION_PERFORMED = "ActionListener.actionPerformed";
    public static final String ACTION_PERFORMED_YES = "ActionListener.actionPerformed.yes";
    public static final String ACTION_PERFORMED_NO = "ActionListener.actionPerformed.no";
    public static final String ACTION_PERFORMED_CANCEL = "ActionListener.actionPerformed.cancel";
    public static final String CHANGE_LISTENER = "ChangeListener.stateChanged";
    public static final String INSERT_UPDATE = "DocumentListener.insertUpdate";
    public static final String CHANGED_UPDATE = "DocumentListener.changedUpdate";
    public static final String REMOVE_UPDATE = "DocumentListener.removeUpdate";
    public static final String FOCUS_GAINED = "FocusListener.focusGained";
    public static final String FOCUS_LOST = "FocusListener.focusLost";
    public static final String LIST_VALUE_CHANGED = "ListSelectionListener.valueChanged";
    public static final String TREE_VALUE_CHANGED = "TreeSelectionListener.valueChanged";
    public static final String ITEM_STATE_CHANGED = "ItemListener.itemStateChanged";
    public static final String ITEM_STATE_CHANGED_SELECTED = "ItemListener.itemStateChanged.selected";
    public static final String ITEM_STATE_CHANGED_DESELECTED = "ItemListener.itemStateChanged.deselected";
    public static final String MOUSE_DOUBLE_CLICKED = "MouseListener.doubleClicked";
    public static final String MOUSE_SINGLE_CLICKED = "MouseListener.singleClicked";
    public static final String WINDOW_ACTIVATED = "WindowListener.windowActivated";
    public static final String WINDOW_CLOSED = "WindowListener.windowClosed";
    public static final String WINDOW_CLOSING = "WindowListener.windowClosing";
    public static final String WINDOW_DEACTIVATED = "WindowListener.windowDeactivated";
    public static final String WINDOW_DEICONIFIED = "WindowListener.windowDeiconified";
    public static final String WINDOW_ICONIFIED = "WindowListener.windowIconified";
    public static final String WINDOW_OPENED = "WindowListener.windowOpened";
    public static final String TAB_STATE_CHANGED = "TabListener.stateChanged";
    public static final String TREE_COLLAPSED = "TreeExpansionListener.treeCollapsed";
    public static final String TREE_EXPANDED = "TreeExpansionListener.treeExpanded";
    public static final String TREE_WILL_COLLAPSE = "TreeExpansionListener.treeWillCollapse";
    public static final String TREE_WILL_EXPAND = "TreeExpansionListener.treeWillExpand";

    //-- Primitive Types.
    public static final String PRIMITIVE_INTEGER = "int";
    public static final String PRIMITIVE_BOOLEAN = "boolean";
    public static final String PRIMITIVE_BYTE = "byte";
    public static final String PRIMITIVE_FLOAT = "float";
    public static final String PRIMITIVE_CHAR = "char";
    public static final String PRIMITIVE_SHORT = "short";
    public static final String PRIMITIVE_LONG = "long";
    public static final String PRIMITIVE_DOUBLE = "double";

    //-- Wrappers.
    public static final String INTEGER_WRAPPER = "java.lang.Integer";
    public static final String BOOLEAN_WRAPPER = "java.lang.Boolean";
    public static final String BYTE_WRAPPER = "java.lang.Byte";
    public static final String FLOAT_WRAPPER = "java.lang.Float";
    public static final String CHAR_WRAPPER = "java.lang.Character";
    public static final String SHORT_WRAPPER = "java.lang.Short";
    public static final String LONG_WRAPPER = "java.lang.Long";
    public static final String DOUBLE_WRAPPER = "java.lang.Double";
    public static final String STRING_WRAPPER = "java.lang.String";

    //-- Resumed Wreppers.
    public static final String INTEGER = "Integer";
    public static final String BOOLEAN = "Boolean";
    public static final String BYTE = "Byte";
    public static final String FLOAT = "Float";
    public static final String CHAR = "Character";
    public static final String SHORT = "Short";
    public static final String LONG = "Long";
    public static final String DOUBLE = "Double";
    public static final String STRING = "String";

    //-- Look and Feel.
    public static final String METAL_LAF = "javax.swing.plaf.metal.MetalLookAndFeel";
    public static final String MOTIF_LAF = "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
    public static final String WINDOWS_LAF = "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";

    //-- Property Values.
    public static final String METAL = "Metal";
    public static final String WINDOWS = "Windows";
    public static final String MOTIF = "Motif";
    public static final String EXTERNAL = "External";
    public static final String BEVELBORDER = "BevelBorder";
    public static final String ETCHEDBORDER = "EtchedBorder";
    public static final String RAISED = "Raised";
    public static final String BORDERLAYOUT = "BorderLayout";
    public static final String GRIDLAYOUT = "GridLayout";
    public static final String FLOWLAYOUT = "FlowLayout";
    public static final String LOWERED = "Lowered";
    public static final String NONE = "None";
    public static final String TRUE = "True";
    public static final String FALSE = "False";
    public static final String SINGLE = "Single";
    public static final String MULTIPLE = "Multiple";
    public static final String CONFIRM = "Confirm";
    public static final String INPUT = "Input";
    public static final String MESSAGE = "Message";
    public static final String SPLIT_VERTICAL = "Vertical";
    public static final String SPLIT_HORIZONTAL = "Horizontal";

    public static final String LEFT = "Left";
    public static final String RIGHT = "Right";
    public static final String HORIZONTAL = "Horizontal";
    public static final String VERTICAL = "Vertical";
    public static final String BOTH = "Both";
    public static final String NORTH = "North";
    public static final String SOUTH = "South";
    public static final String CENTER = "Center";
    public static final String EAST = "East";
    public static final String WEST = "West";
    public static final String NORTHWEST = "NorthWest";
    public static final String NORTHEAST = "NorthEast";
    public static final String SOUTHEAST = "SouthEast";
    public static final String SOUTHWEST = "SouthWest";
    public static final String POST_SELECTED = "Post-Selected";
    public static final String POST_ALL = "Post-All";
    public static final String COMBO = "Combo";
    public static final String COLOR = "Color";
    public static final String BLACK = "Black";
    public static final String BLUE = "Blue";
    public static final String CYAN = "Cyan";
    public static final String GRAY = "Gray";
    public static final String GREEN = "Green";
    public static final String MAGENTA = "Magenta";
    public static final String ORANGE = "Orange";
    public static final String PINK = "Pink";
    public static final String RED = "Red";
    public static final String WHITE = "White";
    public static final String YELLOW = "Yellow";
}