/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */
package org.swingml;

import java.net.MalformedURLException;
import java.net.URL;

public class URLHandler {

    public static URL codebase = null;

    public static URL handle(String aUrl) {
        URL theSource = null;
        try {
            theSource = new URL(aUrl);
        } catch (MalformedURLException e) {
            String theHost = codebase.getProtocol() + "://" + codebase.getHost();
            if (codebase.getPort() != -1) {
                theHost = theHost + ":" + codebase.getPort();
            }
            try {
                if (!codebase.getHost().equals("")) {
                    theSource = new URL(theHost + aUrl);
                } else {
                    theSource = new URL(codebase + aUrl);
                }
            } catch (MalformedURLException x) {
                System.out.println(x);
            }
        }
        return theSource;
    }

    public static void setURLCodeBase(String aHome) {
        try {
            codebase = new URL("file:/" + aHome + "/");
        } catch (MalformedURLException e) {
            System.out.println(e);
        }
    }
}