/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.component;

import java.awt.Color;

import org.swingml.Constants;


public class ColorComponent extends Color {
    
    public ColorComponent(int aRgb) {
        super(aRgb);
    }

    public static ColorComponent getColorByName(String color) {
        ColorComponent theColorComponent = null;
        if (color.equalsIgnoreCase(Constants.BLACK)) {
            theColorComponent = new ColorComponent(Color.BLACK.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.BLUE)) {
            theColorComponent = new ColorComponent(Color.BLUE.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.CYAN)) {
            theColorComponent = new ColorComponent(Color.CYAN.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.GRAY)) {
            theColorComponent = new ColorComponent(Color.GRAY.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.GREEN)) {
            theColorComponent = new ColorComponent(Color.GREEN.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.MAGENTA)) {
            theColorComponent = new ColorComponent(Color.MAGENTA.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.ORANGE)) {
            theColorComponent = new ColorComponent(Color.ORANGE.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.PINK)) {
            theColorComponent = new ColorComponent(Color.PINK.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.RED)) {
            theColorComponent = new ColorComponent(Color.RED.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.WHITE)) {
            theColorComponent = new ColorComponent(Color.WHITE.getRGB());
        }
        if (color.equalsIgnoreCase(Constants.YELLOW)) {
            theColorComponent = new ColorComponent(Color.YELLOW.getRGB());
        }
        return theColorComponent;
    }

    public String toString() {
        String theColor = "";
        if (this.equals(Color.BLACK)) {
            theColor = "black";
        }
        if (this.equals(Color.BLUE)) {
            theColor = "blue";
        }
        if (this.equals(Color.CYAN)) {
            theColor = "cyan";
        }
        if (this.equals(Color.GRAY)) {
            theColor = "gray";
        }
        if (this.equals(Color.GREEN)) {
            theColor = "green";
        }
        if (this.equals(Color.MAGENTA)) {
            theColor = "magenta";
        }
        if (this.equals(Color.ORANGE)) {
            theColor = "orange";
        }
        if (this.equals(Color.PINK)) {
            theColor = "pink";
        }
        if (this.equals(Color.RED)) {
            theColor = "red";
        }
        if (this.equals(Color.WHITE)) {
            theColor = "white";
        }
        if (this.equals(Color.YELLOW)) {
            theColor = "yellow";
        }
        return theColor;
    }

}