/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Robert Morris <robertj@morris.net>
 *
 */

package org.swingml.component;

import javax.swing.JComponent;

import org.swingml.model.DataStoreModel;


public class DataStoreComponent extends JComponent {
    private DataStoreModel m_model = null;

    public DataStoreComponent(DataStoreModel aModel) {
        this.m_model = aModel;
    }

    public String getValue() {
        return this.m_model.getValue();
    }

    public void setValue(String aValue) {
        this.m_model.setValue(aValue);
    }

    public String getName() {
        return this.m_model.getName();
    }
}