/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.component;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JButton;

import org.swingml.Constants;
import org.swingml.event.EventHandler;
import org.swingml.model.JButtonModel;


public class JButtonComponent extends JButton implements ActionListener {
    private EventHandler eventHandler = EventHandler.getInstance();
    private JButtonModel model = null;

    public JButtonComponent(JButtonModel aModel) {
        try {
            model = aModel;
            super.setName(model.getName());
            super.setText(model.getText());
            super.setEnabled(model.isEnabled());
            super.setToolTipText(model.getTooltip());
            super.addActionListener(this);
            super.setIcon(new ImageIcon(new URL(model.getIcon())));
        } catch (Exception e) {
        }
    }

    public void actionPerformed(ActionEvent aEvt) {
        this.eventHandler.handleEvent(this.model, Constants.ACTION_PERFORMED, this);
    }
}