/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.component;

import java.awt.Container;

import javax.swing.JComponent;
import javax.swing.JOptionPane;

import org.swingml.Constants;
import org.swingml.SwingMLModel;
import org.swingml.event.EventHandler;
import org.swingml.model.JOptionPaneModel;


public class JOptionPaneComponent {
    
    private EventHandler eventHandler = EventHandler.getInstance();

    public JOptionPaneComponent(JOptionPaneModel aModel, Container aParent) {
        String theMessage = aModel.getText();
        String theType = aModel.getType();

        if (theType.equalsIgnoreCase(Constants.CONFIRM)) {
            int theOption = JOptionPane.showConfirmDialog(aParent, theMessage);
            if (theOption == JOptionPane.YES_OPTION) {
                this.eventHandler.handleEvent((SwingMLModel) aModel, Constants.ACTION_PERFORMED_YES, (JComponent) aParent);
            }
            if (theOption == JOptionPane.NO_OPTION) {
                this.eventHandler.handleEvent((SwingMLModel) aModel, Constants.ACTION_PERFORMED_NO, (JComponent) aParent);
            }
            if (theOption == JOptionPane.CANCEL_OPTION) {
                this.eventHandler.handleEvent((SwingMLModel) aModel, Constants.ACTION_PERFORMED_CANCEL, (JComponent) aParent);
            }
        }
        if (theType.equalsIgnoreCase(Constants.INPUT)) { 
            JOptionPane.showInputDialog(theMessage);
        }
        if (theType.equalsIgnoreCase(Constants.MESSAGE)) {
            JOptionPane.showMessageDialog(aParent, theMessage);
        }
    }
}