/* SwingML
 * Copyright (C) 1995-2003 Sun Microsystems.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Sun Microsystems <www.sun.com>
 *
 */

package org.swingml.component;

import java.awt.Color;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.border.Border;
import javax.swing.table.TableCellRenderer;

public class TableCellColorRenderer extends JLabel implements TableCellRenderer {
    
    Border unselectedBorder = null;
    Border selectedBorder = null;
    boolean isBordered = true;

    public Component getTableCellRendererComponent(JTable aTable, Object aColor, boolean isSelected, boolean hasFocus, int aRow, int aColumn) {
        setOpaque(true); //MUST do this for background to show up.                                	
        setBackground((Color) aColor);
        if (isSelected) {
            if (this.selectedBorder == null) {
                this.selectedBorder = BorderFactory.createMatteBorder(2, 5, 2, 5, aTable.getSelectionBackground());
            }
            setBorder(selectedBorder);
        } else {
            if (this.unselectedBorder == null) {
                this.unselectedBorder = BorderFactory.createMatteBorder(2, 5, 2, 5, aTable.getBackground());
            }
            setBorder(this.unselectedBorder);
        }
        return this;
    }
}