/* SwingML
 * Copyright (C) 2002 Robert Morris.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Robert Morris <robertj@morris.net>
 *
 */

package org.swingml.model;

import java.util.List;
import java.util.Vector;

public class ExternalActionModel {
    private String m_component = "";
    private Class m_externalClass = null;
    private Vector m_params = null;

    public void setComponent(String aComponent) {
        this.m_component = aComponent;
    }

    public String getComponent() {
        return this.m_component;
    }

    public void setExternalClass(Class anExternalClass) {
        this.m_externalClass = anExternalClass;
    }

    public Class getExternalClass() {
        return this.m_externalClass;
    }

    public void addParam(ActionParamModel aParam) {
        this.getParams().add(aParam);
    }

    public List getParams() {
        if (this.m_params == null) {
            this.m_params = new Vector(1);
        }
        return this.m_params;
    }
}