/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.model;

import org.swingml.SwingMLModel;

public class JSliderModel extends SwingMLModel {
    private int value = -1;
    private int minimum = -1;
    private int maximum = -1;
    private int type = -1;
    private boolean enabled = true;

    public int getMaximum() {
        return this.maximum;
    }

    public int getMinimum() {
        return this.minimum;
    }

    public int getValue() {
        return this.value;
    }

    public void setMaximum(int aMaximum) {
        this.maximum = aMaximum;
    }

    public void setMinimum(int aMinimum) {
        this.minimum = aMinimum;
    }

    public void setValue(int aValue) {
        this.value = aValue;
    }

    public boolean isEnabled() {
        return this.enabled;
    }

    public void setEnabled(boolean aEnabled) {
        this.enabled = aEnabled;
    }

    public int getType() {
        return this.type;
    }

    public void setType(int aType) {
        this.type = aType;
    }

    public void validate() {
    }
}