/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.model;

import java.util.Iterator;
import java.util.Vector;

import javax.swing.JComboBox;

import org.swingml.SwingMLModel;
import org.swingml.component.ColorComponent;


public class TableColumnModel extends SwingMLModel {
    private Object type = null;
    private Vector items = null;

    public Object getType() {
        return this.type;
    }

    public void setType(Object aType) {
        this.type = aType;
    }

    public Vector getItems() {
        return this.items;
    }

    public void setItems(Vector aItems) {
        this.items = aItems;
    }

    public void validate() {
        if (this.getType().getClass().equals(Boolean.class) && this.getItems() != null) {
            System.out.println("Syntax error: The parameter ITEMS in the element TC with text " + super.getText() + " should not be used since its TYPE is BOOLEAN.");
        }

        if ((this.getType().getClass().equals(JComboBox.class) || this.getType().getClass().equals(ColorComponent.class)) && this.getItems() == null) {
            System.out.println("Syntax error: The parameter ITEMS in the element TC with text " + super.getText() + " should be used since its TYPE is either COMBO or COLOR.");
        }

        if (this.getType().getClass().equals(ColorComponent.class) && this.getItems() != null) {
            Object theColor = null;
            String theColorName = null;
            Iterator theItems = items.iterator();
            while (theItems.hasNext()) {
                theColorName = (String) theItems.next();
                theColor = ColorComponent.getColorByName(theColorName);
                if (theColor == null) {
                    System.out.println("Syntax error: The color " + theColorName + " specified in the ITEMS parameter in the element TC with text" + super.getText() + " is not supported. Verify the name of the color " + theColorName + ".");
                }
            }
        }
    }

}