/*
 * SwingML
 * Copyright (C) 2002 Robert J. Morris.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Robert J. Morris		<robertj@morris.net>
 */

package org.swingml.view.renderer;

import java.awt.Container;

import org.swingml.component.GridBagRowComponent;
import org.swingml.model.GridBagRowModel;
import org.swingml.view.Renderer;
import org.swingml.view.RendererUtil;


public class GridBagRowRenderer extends RendererUtil implements Renderer {
    
    public void render(Object aModel, Container aParent) {
        GridBagRowModel theModel = (GridBagRowModel) aModel;
        GridBagRowComponent theGridBagRow = new GridBagRowComponent(theModel);
        aParent.add(theGridBagRow);
        super.iterate(aModel, theGridBagRow);
    }
}