/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.view.renderer;

import java.awt.Container;

import javax.swing.JScrollPane;

import org.swingml.component.JListComponent;
import org.swingml.model.JListModel;
import org.swingml.view.Renderer;
import org.swingml.view.RendererUtil;


public class JListRenderer extends RendererUtil implements Renderer {
    public void render(Object aModel, Container aParent) {
        JListModel theModel = (JListModel) aModel;
        JListComponent theList = new JListComponent(theModel);
        JScrollPane theScrollPane = new JScrollPane(theList);

        String theOrientation = theModel.getOrientation();
        if (theOrientation != null) {
            aParent.add(theScrollPane, theOrientation);
        } else {
            aParent.add(theScrollPane);
        }
    }
}