/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.view.renderer;

//import javax.swing.*;
import java.awt.Container;

import javax.swing.JTabbedPane;

import org.swingml.component.JPanelComponent;
import org.swingml.model.JPanelModel;
import org.swingml.view.Renderer;
import org.swingml.view.RendererUtil;


public class JPanelRenderer extends RendererUtil implements Renderer {

    public void render(Object aModel, Container aParent) {
        JPanelModel theModel = (JPanelModel) aModel;
        JPanelComponent panel = new JPanelComponent(theModel);
        String orientation = theModel.getOrientation();
        if (orientation != null && !(aParent instanceof JTabbedPane)) {
            aParent.add(panel, orientation);
        } else if (aParent instanceof JTabbedPane) {
            JTabbedPane theTabbedPane = (JTabbedPane) aParent;
            theTabbedPane.add(theModel.getText(), panel);
        } else {
            aParent.add(panel);
        }
        super.iterate(aModel, panel);
    }
}