/* SwingML
 * Copyright (C) 2002 Robert Morris.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Robert Morris <robertj@morris.net>
 *
 */

package org.swingml.view.renderer;

import java.awt.Container;

import javax.swing.JSplitPane;

import org.swingml.component.JSplitPaneComponent;
import org.swingml.model.JSplitPaneModel;
import org.swingml.view.Renderer;
import org.swingml.view.RendererUtil;


public class JSplitPaneRenderer extends RendererUtil implements Renderer {

    public void render(Object aModel, Container aParent) {

        JSplitPaneModel theModel = (JSplitPaneModel) aModel;
        JSplitPane theSplitPane = new JSplitPaneComponent(theModel);

        /* 
         * Using the JSplitPaneModel's getOrientation() value, 
         * we can now add the newly initialized JSplitPane component 
         * to the parent container.
         */
        String theOrientation = theModel.getOrientation();
        if (theOrientation != null) {
            aParent.add(theSplitPane, theOrientation);
        } else {
            aParent.add(theSplitPane);
        }

        super.iterate(aModel, theSplitPane);
    }
}