/* SwingML
 * Copyright (C) 2002 Ezequiel Cuellar.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Ezequiel Cuellar <ecuellar@crosslogic.com>
 *
 */

package org.swingml.xml.mapper;

import org.swingml.Constants;
import org.swingml.model.ActionModel;
import org.swingml.model.ListenerModel;
import org.swingml.xml.Mapper;
import org.swingml.xml.MapperUtil;
import org.w3c.dom.Node;


public class ActionMapper extends MapperUtil implements Mapper {

    public Object getModelToMap(Node aNode, Object aParent) {
        ActionModel theModel = new ActionModel();
        ListenerModel listener = (ListenerModel) aParent;
        listener.addAction(theModel);
        return theModel;
    }

    public void mapModel(Node aNode, Object aParent) {
        ActionModel aModel = (ActionModel) this.getModelToMap(aNode, aParent);
        this.mapModelAttributes(aNode, aModel, aParent);
    }

    public void mapModelAttributes(Node aNode, Object aModel, Object aParent) {
        ActionModel theModel = (ActionModel) aModel;
        Node resultNode = null;
        resultNode = super.getAttribute(aNode, Constants.COMPONENT);
        if (resultNode != null) {
            theModel.setComponent(resultNode.getNodeValue());
        }
        resultNode = super.getAttribute(aNode, Constants.METHOD);
        if (resultNode != null) {
            theModel.setMethod(resultNode.getNodeValue());
        }
        resultNode = super.getAttribute(aNode, Constants.VALUES);
        if (resultNode != null) {
            theModel.setValues(resultNode.getNodeValue());
        }
        resultNode = super.getAttribute(aNode, Constants.TYPES);
        if (resultNode != null) {
            theModel.setTypes(resultNode.getNodeValue());
        }
    }
}