package org.swingml.xml.mapper;

import org.swingml.Constants;
import org.swingml.SwingMLModel;
import org.swingml.model.DataStoreModel;
import org.swingml.xml.Mapper;
import org.swingml.xml.MapperUtil;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;


/**
 * Class Description goes here.
 * 
 * @author <a href="mailto:robertj@morris.net">Robert J. Morris</a>
 */
public class DataStoreMapper extends MapperUtil implements Mapper {
    /**
     * @see org.swingml.xml.Mapper#getModelToMap(Node, Object)
     */
    public Object getModelToMap(Node aNode, Object aParent) {
        DataStoreModel theModel = new DataStoreModel();
        SwingMLModel theContainer = (SwingMLModel) aParent;
        theContainer.addChild(theModel);
        theModel.setParent(theContainer);
        return theModel;
    }

    /**
     * @see org.swingml.xml.Mapper#mapModel(Node, Object)
     */
    public void mapModel(Node aNode, Object aParent) {
        DataStoreModel model = (DataStoreModel) this.getModelToMap(aNode, aParent);
        this.mapModelAttributes(aNode, model, aParent);
        super.iterate(aNode, model);
    }

    /**
     * @see org.swingml.xml.Mapper#mapModelAttributes(Node, Object, Object)
     */
    public void mapModelAttributes(Node aNode, Object aModel, Object aParent) {
        DataStoreModel theDataStoreModel = (DataStoreModel) aModel;
        Node theResultNode = null;
        theResultNode = super.getAttribute(aNode, Constants.NAME);
        if (theResultNode != null) {
            theDataStoreModel.setName(theResultNode.getNodeValue());
        }
        NodeList nodes = aNode.getChildNodes();
        if (nodes.getLength() > 0) {
            StringBuffer value = new StringBuffer();
            for (int i = 0; i < nodes.getLength(); i++) {
                value.append(nodes.item(i).getNodeValue());
            }
            if (value.length() > 0) {
                theDataStoreModel.setValue(value.toString());
            }
        }
    }
}