/*
 * SwingML
 * Copyright (C) 2002 Robert J. Morris.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *     Robert J. Morris		<robertj@morris.net>
 */

package org.swingml.xml.mapper;

import org.swingml.SwingMLModel;
import org.swingml.model.GridBagCellModel;
import org.w3c.dom.Node;


/**
 * @author <a href="mailto:robertj@morris.net">Robert J. Morris</a>
 *
 */
public class GridBagCellMapper extends GridBagBaseMapper {

    /**
     * @see org.swingml.xml.Mapper#getModelToMap(Node, Object)
     */
    public Object getModelToMap(Node aNode, Object aParent) {
        GridBagCellModel theModel = new GridBagCellModel();
        SwingMLModel theSwingMLModel = (SwingMLModel) aParent;
        theSwingMLModel.addChild(theModel);
        theModel.setParent(theSwingMLModel);
        return theModel;
    }

    /**
     * @see org.swingml.xml.Mapper#mapModel(Node, Object)
     */
    public void mapModel(Node aNode, Object aParent) {
        GridBagCellModel theModel = (GridBagCellModel) this.getModelToMap(aNode, aParent);
        this.mapModelAttributes(aNode, theModel, aParent);
        super.iterate(aNode, theModel);
    }
} 
