/* SwingML
 * Copyright (C) 2002 Marcelo W. Lopez Cremona.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 * 	   Marcelo W. Lopez Cremona <marcelo_java@argentina.com>   
 *
 */
package org.swingml.xml.mapper;

import org.swingml.Constants;
import org.swingml.SwingMLModel;
import org.swingml.model.JSeparatorModel;
import org.swingml.xml.Mapper;
import org.swingml.xml.MapperUtil;
import org.w3c.dom.Node;


public class JSeparatorMapper extends MapperUtil implements Mapper {
    
    public Object getModelToMap(Node aNode, Object aParent) {
        JSeparatorModel theModel = new JSeparatorModel();
        SwingMLModel theContainer = (SwingMLModel) aParent;
        theContainer.addChild(theModel);
        theModel.setParent(theContainer);
        return theModel;
    }

    public void mapModel(Node aNode, Object aParent) {
        JSeparatorModel theModel = (JSeparatorModel) this.getModelToMap(aNode, aParent);
        this.mapModelAttributes(aNode, theModel, aParent);
    }

    public void mapModelAttributes(Node aNode, Object aModel, Object aParent) {
        JSeparatorModel theModel = (JSeparatorModel) aModel;
        Node theResultNode = super.getAttribute(aNode, Constants.NAME);
        if (theResultNode != null) {
            theModel.setName(theResultNode.getNodeValue());
        }
    }

}